.accordion {
  position: relative;
  padding: .5rem 0;

  .accordion-header {
    display: flex;
    align-items: center;
    position: relative;
    padding: .5rem 2rem .5rem 1rem;

    &:before {
      content: '';
      position: absolute;
      height: 10px;
      width: 10px;
      right: 1rem;
      background: transparent;
      border-top: 4px solid black;
      border-right: 4px solid black;
      transition: 200ms;
    }

    &.down:before {
      transform: rotate(132deg);
    }

    &.up:before {
      transform: rotate(312deg);
    }
  }

  .accordion-body{
    padding: 0 1rem;
  }

  .accordion-header {
    font-weight: bold;
    letter-spacing: 1px;
    cursor: pointer;
  }

  .accordion-body {
    overflow: hidden;
    transition: max-height 400ms ease;
  }

  &:not(:first-child):before {
    content: '';
    position: absolute;
    height: 1px;
    width: calc(100%);
    left: 0;
    top: 0;
    background: rgba(0, 0, 0, 0.1);
  }
}
